#!/usr/bin/env python

import subprocess
import os


def main():
    for idx in range(8, 19):
        output_name = os.path.join('../Simple/images', 'edit@%d.png' % idx)
        command = [
            'inkscape', '-f', 'edit.svg', '-e', output_name, '-w', str(idx * 2)
        ]
        subprocess.call(command)

    for idx in range(8, 19):
        output_name = os.path.join('../Simple/images', 'dot@%d.png' % idx)
        command = [
            'inkscape', '-f', 'dot.svg', '-e', output_name, '-w', str(idx)
        ]
        subprocess.call(command)


if __name__ == '__main__':
    main()
